#include "asprite.h"

void SP_SET1A(int sp,int x,int y,int ptcode,int prw)
// 1スプライトの全設定
// SP_REGST互換（高速）
{
int stk;
unshort *s;
	stk=B_SUPER(0);
	// スプライトレジスタアドレス計算
	s=SP_ADRS(sp,0);
	*s++=(unshort)x;
	*s++=(unshort)y;
	*s++=(unshort)ptcode;
	*s=(unshort)prw;
	B_SUPER(stk);
}
